Mute or tune an alert rule
PATCH
muted (a muted rule is not evaluated and its open incident resolves), fire_at (1-24 consecutive samples) and the kind's numbers in params: pct for change, value/op/min_volume for threshold, grace for absence and new_error. Other params are 400.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
customer_id*stringFormat
uuidproject_id*stringFormat
uuidkey*stringapplication/json- body
fire_at?integer|nullmuted?boolean|nullparams?|nullRequest fulfilled, document follows
application/json- response
incidents*array<>monitors?array<>rules*array<>site_id?|nullcurl -X PATCH 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/alerts/rules/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "incidents": [ { "acked_at": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "metric": "string", "opened_at": "string", "resolved_at": "string", "rule_key": "string", "snapshot": {}, "state": "string", "summary": "string", "timeline": [ {} ], "title": "string", "trusted": true } ], "monitors": [ { "every_s": 0, "grace_s": 0, "last_fail_at": "string", "last_ok_at": "string", "name": "string" } ], "rules": [ { "fire_at": 0, "firing": true, "key": "string", "kind": "string", "last_value": 0, "metric": "string", "muted": true, "params": {}, "title": "string" } ], "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811"}